\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{report_pwr}[2022/03/06 Report style for WUST]

% Package for encoding required by font
\RequirePackage[T1]{fontenc}

% Change font
\RequirePackage[default]{lato}

% Package for header and footer
\RequirePackage{fancyhdr}

% Package for color
\RequirePackage{xcolor}

% Package for referencing to figures
\RequirePackage{caption}

% Make indent after any section
\RequirePackage{indentfirst}

% Package for styling section titles
\RequirePackage{titlesec}

\RequirePackage{hyperref}
\RequirePackage{caption}

% Figure numbering each section
\numberwithin{figure}{section}

% Setup for hyperlinks
\hypersetup{
	colorlinks=true,
	linkcolor=blue,
	filecolor=magenta,
	urlcolor=cyan,
}
\urlstyle{same}

% Adding more space between lines
\renewcommand{\baselinestretch}{1.62}

% Command for dealing with \@
%% in pair with \makeatother
\makeatletter

% Adding command for subtitle
\newcommand*{\term}[1]{\gdef\@term{#1}}
\newcommand*{\@term}{}%

\newcommand*{\lecture}[1]{\gdef\@lecture{#1}}
\newcommand*{\@lecture}{}%

% Adding command for lecturer
\newcommand*{\lecturer}[1]{\gdef\@lecturer{#1}}
\newcommand*{\@lecturer}{}%


\renewcommand{\maketitle}{
	\begin{titlepage}
		\begin{flushleft}
			{\Huge \textbf{Wrocław University\\of~Science and~Technology}} \\[0.15cm]
			{\Large \textit{Faculty of Electronics, Photonics and Microsystems}}\\[1cm]
			{\LARGE \textbf{\@lecture}} \\[0.2cm]
			{\Large \@term} \\[0.5cm]
		\end{flushleft}
		% Title
		\rule{\linewidth}{0.4mm} \\[0.6cm]
		{\huge \textbf{\@title}} \\[0.2cm]
		\rule{\linewidth}{0.4mm} \\[1.5cm]
		% Author and date
		\noindent
		\begin{minipage}[t]{0.5\textwidth}
			\begin{flushleft}
				\begin{tabular}{ll}
					Author: & \emph{\@author} \\
					Date:   & \emph{\@date}
				\end{tabular}
			\end{flushleft}
		\end{minipage}%
		%
		\begin{minipage}[t]{0.5\textwidth}
			\begin{flushright}
				\begin{tabular}{ll}
					Tutor: & \emph{\@lecturer} \\
					       &
				\end{tabular}
			\end{flushright}
		\end{minipage}
		\vfill
		\begin{abstract}
			\input{abstract.tex}
		\end{abstract}
		\vfill
		\begin{center}
			\includegraphics[width=275px, keepaspectratio]{images/PWR.png}
		\end{center}
	\end{titlepage}
}
\pagestyle{fancy}
\fancyhf{}
% \headheight = 30pt
% \lhead{\leftmark}
% \lfoot{\textcolor{gray}{{Intermediate Project} -- {\@title}}}
\rfoot{\thepage}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0.5pt}
\makeatother
